# Uses of Class
net.shibboleth.idp.authn.context.RequestedPrincipalContext

Packages that use RequestedPrincipalContext
Package
Description
net.shibboleth.idp.authn
APIs related to the authentication of a subject.
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.context.navigate
Functions for traversing authentication contexts.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.
net.shibboleth.idp.saml.saml1.profile.impl
Profile processing actions related to SAML 1 messages.
net.shibboleth.idp.saml.saml2.profile.impl
Profile processing actions related to SAML 2 messages.

## Uses of RequestedPrincipalContext in net.shibboleth.idp.authn

Methods in net.shibboleth.idp.authn with parameters of type RequestedPrincipalContext
Modifier and Type
Method
Description
`protected boolean`
AbstractCredentialValidator.`isAcceptable(RequestedPrincipalContext requestedPrincipalCtx, Subject subject, String configName)`
Checks a particular request and principal collection for suitability.

## Uses of RequestedPrincipalContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return RequestedPrincipalContext
Modifier and Type
Method
Description
`RequestedPrincipalContext`
RequestedPrincipalContext.`setImposedLocally(boolean flag)`
Set whether the context was populated in response to a requirement applied by IdP policy.
`RequestedPrincipalContext`
RequestedPrincipalContext.`setMatchingPrincipal(Principal principal)`
Set the principal that matched the request's requirements, if any.
`RequestedPrincipalContext`
RequestedPrincipalContext.`setOperator(String operator)`
Set the comparison operator for matching requested principals.
`RequestedPrincipalContext`
RequestedPrincipalContext.`setPrincipalEvalPredicateFactoryRegistry(PrincipalEvalPredicateFactoryRegistry registry)`
Set the registry of predicate factories for custom principal evaluation.
`RequestedPrincipalContext`
RequestedPrincipalContext.`setRequestedPrincipals(List<Principal> principals)`
Set list of principals reflecting the request requirements.

## Uses of RequestedPrincipalContext in net.shibboleth.idp.authn.context.navigate

Methods in net.shibboleth.idp.authn.context.navigate with parameters of type RequestedPrincipalContext
Modifier and Type
Method
Description
`String`
RequestedPrincipalContextOperatorLookupFunction.`apply(RequestedPrincipalContext input)`
`Collection<String>`
RequestedPrincipalContextPrincipalLookupFunction.`apply(RequestedPrincipalContext input)`

## Uses of RequestedPrincipalContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as RequestedPrincipalContext
Modifier and Type
Field
Description
`private RequestedPrincipalContext`
SelectAuthenticationFlow.`requestedPrincipalCtx`
A subordinate RequestedPrincipalContext, if any.
Methods in net.shibboleth.idp.authn.impl with parameters of type RequestedPrincipalContext
Modifier and Type
Method
Description
`protected Principal`
FinalizeAuthentication.`findMatchingPrincipal(AuthenticationContext authenticationContext, RequestedPrincipalContext requestedPrincipalCtx)`
Evaluate request criteria and the `AuthenticationResult` to locate a `Principal` in the result that satisfies the request criteria.

## Uses of RequestedPrincipalContext in net.shibboleth.idp.saml.saml1.profile.impl

Methods in net.shibboleth.idp.saml.saml1.profile.impl with parameters of type RequestedPrincipalContext
Modifier and Type
Method
Description
`private AuthenticationStatement`
AddAuthenticationStatementToAssertion.`buildAuthenticationStatement(ProfileRequestContext profileRequestContext, RequestedPrincipalContext requestedPrincipalContext)`
Build the `AuthenticationStatement` to be added to the `Response`.

## Uses of RequestedPrincipalContext in net.shibboleth.idp.saml.saml2.profile.impl

Methods in net.shibboleth.idp.saml.saml2.profile.impl with parameters of type RequestedPrincipalContext
Modifier and Type
Method
Description
`private AuthnStatement`
AddAuthnStatementToAssertion.`buildAuthnStatement(ProfileRequestContext profileRequestContext, RequestedPrincipalContext requestedPrincipalContext)`
Build the `AuthnStatement` to be added to the `Response`.